#Module-Specific definitions
%define mod_version 0.12
%define release 1mdk
%define mod_name mod_clamav
%define mod_conf 86_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Clam virus scanning filter DSO for %{ap_name}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	GPL
URL:		http://software.othello.ch/mod_clamav/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq:		rpm-helper
#Requires:	libclamav1
Requires:	clamd
Requires:	clamav
Requires:	clamav-db
BuildRequires:	clamav-devel
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel

%description
%{mod_name} is an apache 2 filter module to allow virus checking
of all HTTP all reply data. By adding the filter to the Proxy
location, all requests mediated by an apache2 proxy can be scanned
for viruses.

%prep

%setup -q -n %{sourcename}

%build

# not used with make
%configure2_5x --with-apxs=%{apxs}

#%{apxs} -DCLAMAV_DEBUG=\"1\" -c %{mod_name}.c -Wl,-lclamav -lbz2 -lz  -lpthread
%{apxs} -c %{mod_name}.c -Wl,-lclamav -lbz2 -lz -lpthread

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/spool/%{mod_name}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO mod_clamav.html
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*
%dir %attr(0755,apache,apache) /var/spool/%{mod_name}

%changelog
* Fri Nov 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.12-1mdk
- 0.12

* Fri Nov 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.9-1mdk
- 0.9

* Fri Nov 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.8-2mdk
- rebuilt against latest clamav libs

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.8-1mdk
- built for apache 2.0.48
- fix invalid-build-requires
- fix explicit-lib-dependency

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.8-2mdk
- rebuilt against latest clamav libs

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.8-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Mon Jun 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.8-1mdk
- 0.8
- fixed linking
- fixed requires & buildrequires
- added access policy to S1

* Tue Jun 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.7-2mdk
- rebuilt aganst new clamav

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.7-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_0.7-1mdk
- cosmetic rebuild for apache v2.0.45 

* Sun Mar 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.7-1mdk
- 0.7
- drop P0

* Sun Mar 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.5-1mdk
- initial cooker contrib
